import request from '@/utils/request'

// 查询意见反馈列表
export function listMallFeedback(query) {
  return request({
    url: '/mall/mallFeedback/list',
    method: 'get',
    params: query
  })
}

// 查询意见反馈详细
export function getMallFeedback(id) {
  return request({
    url: '/mall/mallFeedback/' + id,
    method: 'get'
  })
}

// 新增意见反馈
export function addMallFeedback(data) {
  return request({
    url: '/mall/mallFeedback',
    method: 'post',
    data: data
  })
}

// 修改意见反馈
export function updateMallFeedback(data) {
  return request({
    url: '/mall/mallFeedback',
    method: 'put',
    data: data
  })
}

// 删除意见反馈
export function delMallFeedback(id) {
  return request({
    url: '/mall/mallFeedback/' + id,
    method: 'delete'
  })
}

// 导出意见反馈
export function exportMallFeedback(query) {
  return request({
    url: '/mall/mallFeedback/export',
    method: 'get',
    params: query
  })
}